CLANG-RENAME(1)

NAME
clang-rename - manual page for clang-rename 3.9

DESCRIPTION
OVERVIEW: A tool to rename symbols in C/C++ code. clang-rename renames every occurrence of a symbol found at <offset> in <source0>. If -i is specified, the edited files are overwritten to disk. Otherwise, the results are written to stdout.

USAGE: clang-rename [subcommand] [options] <source0> [... <sourceN>]

OPTIONS:

Clang-rename options:

-export-fixes=<filename> - YAML file to store suggested fixes in.

-extra-arg=<string> - Additional argument to append to the compiler command line

-extra-arg-before=<string> - Additional argument to prepend to the compiler command line

-i - Overwrite edited <file>s.

-new-name=<string> - The new name to change the symbol to.

-offset=<uint> - Locates the symbol by offset as opposed to <line>:<column>.

-old-name=<string> - The fully qualified name of the symbol, if -offset is not used.

-p=<string> - Build path

-pl - Print the locations affected by renaming to stderr.

-pn - Print the found symbol's name prior to renaming to stderr.

Generic Options:

-help - Display available options (-help-hidden for more)

-help-list - Display list of available options (-help-list-hidden for more)

-version - Display the version of this program

SEE ALSO
The full documentation for clang-rename is maintained as a Texinfo manual. If the info and clang-rename programs are properly installed at your site, the command

    info clang-rename

should give you access to the complete manual.